flash player does not work in chromium

Bug #1825497 reported by Greg Trent on 2019-04-19
64
This bug affects 14 people
Affects Status Importance Assigned to Milestone
chromium-browser (Ubuntu)
Medium
Olivier Tilloy
firefox (Ubuntu)
Undecided
Unassigned

Bug Description

after you allow it to run it doesn't.

ProblemType: Bug
DistroRelease: Ubuntu 19.04
Package: chromium-browser 73.0.3683.103-0ubuntu1
ProcVersionSignature: Ubuntu 5.0.0-13.14-generic 5.0.6
Uname: Linux 5.0.0-13-generic x86_64
ApportVersion: 2.20.10-0ubuntu27
Architecture: amd64
DRM.card0-DP-1:
 enabled: disabled
 dpms: Off
 status: disconnected
 edid-base64:
 modes:
DRM.card0-HDMI-A-1:
 enabled: enabled
 dpms: On
 status: connected
 edid-base64: AP///////wAEcqMAdkcABTIUAQOANR146mCFplZKnCUSUFSzDABxT4EAlQDRwIGAAQEBAQEBAjqAGHE4LUBYLEUAEyohAAAaAAAA/ABWMjQzSAogICAgICAgAAAA/QA4TB9TEgAKICAgICAgAAAA/wBMRlYwQzAyMTQwRjEKAPU=
 modes: 1920x1080 1280x1024 1440x900 1280x800 1152x864 1024x768 1024x768 800x600 800x600 640x480 640x480 720x400
DRM.card0-HDMI-A-2:
 enabled: disabled
 dpms: Off
 status: disconnected
 edid-base64:
 modes:
Date: Fri Apr 19 04:29:19 2019
Desktop-Session:
 'ubuntu'
 '/etc/xdg/xdg-ubuntu:/etc/xdg'
 '/usr/share/ubuntu:/usr/local/share:/usr/share:/var/lib/snapd/desktop:/var/lib/snapd/desktop'
DetectedPlugins:

Env:
 'None'
 'None'
ExecutablePath: /usr/lib/chromium-browser/chromium-browser
InstallationDate: Installed on 2017-04-20 (729 days ago)
InstallationMedia: Ubuntu 17.04 "Zesty Zapus" - Release amd64 (20170412)
Load-Avg-1min: 1.18
Load-Processes-Running-Percent: 0.4%
Lsusb:
 Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
 Bus 001 Device 002: ID 04ca:0050 Lite-On Technology Corp.
 Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
MachineType: System manufacturer System Product Name
ProcEnviron:

ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-5.0.0-13-generic root=UUID=71d156ea-3173-43e9-9a5e-00edcd2137f2 ro splash quiet vt.handoff=1
SourcePackage: chromium-browser
UpgradeStatus: Upgraded to disco on 2019-04-19 (0 days ago)
dmi.bios.date: 02/28/2019
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: 4202
dmi.board.asset.tag: Default string
dmi.board.name: H110M-A/M.2
dmi.board.vendor: ASUSTeK COMPUTER INC.
dmi.board.version: Rev X.0x
dmi.chassis.asset.tag: Default string
dmi.chassis.type: 3
dmi.chassis.vendor: Default string
dmi.chassis.version: Default string
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvr4202:bd02/28/2019:svnSystemmanufacturer:pnSystemProductName:pvrSystemVersion:rvnASUSTeKCOMPUTERINC.:rnH110M-A/M.2:rvrRevX.0x:cvnDefaultstring:ct3:cvrDefaultstring:
dmi.product.family: To be filled by O.E.M.
dmi.product.name: System Product Name
dmi.product.sku: SKU
dmi.product.version: System Version
dmi.sys.vendor: System manufacturer
etcconfigcpepperflashpluginnonfree:
 flashso="/usr/lib/pepperflashplugin-nonfree/libpepflashplayer.so"
 flashversion=`strings $flashso 2> /dev/null | grep LNX | cut -d ' ' -f 2 | sed -e "s/,/./g"`
 CHROMIUM_FLAGS="$CHROMIUM_FLAGS --ppapi-flash-path=$flashso --ppapi-flash-version=$flashversion"
modified.conffile..etc.default.chromium-browser: [deleted]

Greg Trent (gptrent) wrote :
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in chromium-browser (Ubuntu):
status: New → Confirmed
Changed in firefox (Ubuntu):
status: New → Confirmed
pullasuti (pullasuti) wrote :

Yup, albeit on Chrome. But on three completely different systems.

nico (nicolaaxngs) wrote :

in my case it works in firefox, but in chrome and chromium doesn't

Olivier Tilloy (osomon) wrote :

Works here in firefox (you'll need to install flashplugin-installer).

Changed in firefox (Ubuntu):
status: Confirmed → Invalid
summary: - flash player does not work in firefox or chromium
+ flash player does not work in chromium
Changed in chromium-browser (Ubuntu):
importance: Undecided → Medium
nico (nicolaaxngs) wrote :

i've only installed the package adobe-flashplugin (it worked in both browsers until 20th april, now only works on firefox) from the canonical software repo. google-chrome (not chromium) it's supposed to have integrated flash, but it didn't work either.

rui romo (ruiromo) wrote :

I upgraded my xubuntu 18.04 to 18.10 and then right away to 19.04 2 days ago. After this, Flash player on Firefox works, but on not Chromium and all derivates like Opera, Chrome, etc. I tried to reinstall them all, did all the workarounds that Google and Adobe say on troubleshooting help sites, tried to install and uninstall different packages through Synaptic package manager, clean caches, but no success. I installed a snap version of Chromium from command line, and that one says "plug in not supported", the others are on a permission looping without displaying content. In some time i will o a fresh install of 19.04, because maybe it can be related to installation errors or Kernel version???? TX!

Olivier Tilloy (osomon) wrote :

@ruiromo: no need to reinstall, the problem won't magically go away. This is an upstream bug (see comment #7).

The snap package isn't affected, but for it to work you will need to manually copy libpepflashplayer.so to $HOME/chromium/current/.local/lib/.

José M. (jsmsalt) wrote :

It seems to be a bug related to the latest version of glibc. A small workaround is to add this flag to the command to run Chromium and all derived browsers (Opera, Vivaldi, etc). It worked for me:

--disable-seccomp-filter-sandbox

In Chrome it doesn't seem to work, we have to wait for a new version.

rui romo (ruiromo) wrote :

@Olivier Tilloy: Thank you for your comment and i was not paying attention to thread #7. I see this is also happening in other distros,and Kernel might not be direct related on this because i had run Fedora 29 lxqt with Kernel 5, and things were working well. And also Xubuntu 19.04, except for Nvidia driver has strange behaviour and flash on "Chromes", all is working well, but i had installation errors, so clean install might clean up things a bit(for my experience 2 leaps in distro upgrade might give you some errors). Please ignore some of my feedback to this has it is very particular to my installation and ignorance :D. Regarding this also and more, i know Flash will be ignored from 2020 on. I only use it for some Facebook games. Still, on LTS Ubuntu and derivates flavours/other distros, it is working well on Chromium and family.
@José M. : It did not worked for me, but you will still have to start it all over from command line every time, right? We will wait for new version.
TX! Regards to all.

Bruno F (bruno-fr) wrote :

Thank José M.

I can confirm the --disable-seccomp-filter-sandbox works on Chromium (version 73.0.3683.103-0ubuntu1)
on my fresh Lubuntu 19.04 amd64 install.

However, I am wondering if it would be dangerous from a security point of view ?
Does it expose the system or are there other sandboxing mechanism protecting it instead of seccomp ?

Olivier Tilloy (osomon) wrote :

It's generally not a good idea to disable any sandbox mechanism unless you really know what you're doing. See https://chromium.googlesource.com/chromium/src/+/HEAD/docs/linux_sandboxing.md#the-sandbox-1 for more information on the seccomp BPF sandbox.

There are other mechanisms, but they don't replace seccomp, they work in conjunction with it.

If you really need to use flash and can't wait for a fix to be published, I'd recommend using firefox to access that specific site, it's not affected by the bug.

Note that a fix is being worked on upstream, and it will be backported to Ubuntu as soon as possible.

Changed in chromium-browser (Ubuntu):
assignee: nobody → Olivier Tilloy (osomon)
rui romo (ruiromo) wrote :

@Olivier Tilloy:I can confirm, after fresh install and i am back on 18.04LTS(give up 19.04 for now), only Chromium does not run Flash content. It works with Chrome, Opera and Firefox and others based on it. Note: i am seeing other distros starting to get affected also by this bug with Chromium. Cheers.

Olivier Tilloy (osomon) wrote :

@ruiromo: this is incorrect, only 19.04 and 19.10 are affected at this point, because they have glibc 2.29. Chromium in 18.04 is not affected, I just successfully tested it. Note that you need the pepperflashplugin-nonfree package.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package chromium-browser - 74.0.3729.131-0ubuntu1

---------------
chromium-browser (74.0.3729.131-0ubuntu1) eoan; urgency=medium

  * Upstream release: 74.0.3729.131
    - CVE-2019-5824: Parameter passing error in media player.

 -- Olivier Tilloy <email address hidden> Wed, 01 May 2019 08:27:06 +0200

Changed in chromium-browser (Ubuntu):
status: Confirmed → Fix Released
volomike (volomike) wrote :

The patch works for me on Ubuntu 19.04 and I posted into AskUbuntu.com the install procedure I took:

https://askubuntu.com/q/1141108/1698

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers